ToSTNeT super large lot (/prices/tostnet_super_large_lot)

You can get the ToSTNeT super large lot data

Overview

This data provides information on trades with a trading value of JPY 5 billion or higher in Single-Issue trading (ToSTNeT-1) (excluding trading for which both sale and purchase are entrusted by customers).

This data is the same as the following site but has a longer history. https://www.jpx.co.jp/english/markets/equities/tostnet/index.htmlarrow-up-right

Attention

circle-info
  • Data will not be provided on days when the above transactions did not take place.

  • Additionally, the announcement date is the business day following the trading date.

Parameter and Response

In your request message, either "code", "publication_date" and "date" must be specified. Combination of parameters in the request and results are as below.

Code
PublicationDate
Date
Results

All historical data of a specific issue.

All listed issue data for the specific date(PublicationDate).

Data of a specific issue for the specified period(Date).

All securities traded on the specified date (PublicationDate)

All securities traded on the specified date (Date)

The date parameter only accepts one input at a time, resulting in an error if both are provided.

Get daily trading values and volumes.

GET https://api.jquants-pro.com/v2/prices/tostnet_super_large_lot

Either "publication_date", "code" or "date" must be specified.

"*" Required.

Query Parameters

Name
Type
Description

code

String

issue code

(e.g. 27890 or 2789)

If a 4-character issue code is specified, only the data of common stock will be obtained for the issue on which both common and preferred stocks are listed.

publication_date

String

publication date of data

(e.g. 20220106 or 2022-01-06)

date

String

date of data

(e.g. 20220105 or 2022-01-05)

pagination_key

String

The primary key of the first item that this operation will evaluate. Use the value that was returned for pagination_key in the previous operation.

Headers

Name
Type
Description

Authorization*

String

Access Key

Data Item

Variable
Description
Data Type
Remark

PublicationDate

Date of publication

String

YYYY-MM-DD

Date

Trading day

String

YYYY-MM-DD

TradeTime

Trading time

String

HH:MM

Code

Issue code

String

CompanyName

Company Name (Japanese)

String

CompanyNameEnglish

Company Name (English)

String

Price

Price

Number

The values are displayed up to the 4th decimal place.

Volume

Trading volume

Number

TurnoverValue

Trading value

Number

Sample Code

Last updated